<script setup lang="ts">
import GitApiCall from '@/api/gitApi';
// import Home_no_Grafana from '@/views/pages/cards/cards-home/Home_no_Grafana.vue';
import CardHomeswiper from './pages/cards/cards-home/CardHomeswiper.vue';
import { onMounted, ref } from 'vue';

interface Group {
  id: string
  name: string
}

const groups = ref<Group[]>([])
const docsUri = ref<string>(window.USER_GUIDE_URI)

const gitApi = new GitApiCall()

const getSubGroup = async () => {
  try {
    const response = await gitApi.getSubGroup(gitApi.vendorId)

    groups.value = response.data
    console.log('getSubGroup groups:', groups.value)
  }
  catch (error) {
    console.error('error getSubGroup:', error)
  }
}

onMounted(() => {
  getSubGroup()
  docsUri.value = window.USER_GUIDE_URI
})
</script>

<template>
  <div>

      <h1 class="cover-heading container">
        Advanced + Network + Automation + Framework = 🚀
      </h1>
  </div>
    <CardHomeswiper />
    <!--<Home_no_Grafana />-->


    <br>


</template>

<style scoped>
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.title {
  margin: 5%;
  color: #4479b0;
}

.image {
  display: flex;
  align-items: center;
  flex-direction: column;
}

img {
  height: 30%;
  width: 30%;
}
</style>
